Bug 5433 - Separate state field for cities
Summary: Separate state field for cities
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/admin/cities.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-24 16:04 UTC by Owen Leonard
Modified: 2012-10-25 23:09 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (10.50 KB, patch)
2011-07-23 13:57 UTC, Owen Leonard
Details | Diff | Splinter Review
proposed patch (passed QA) (10.52 KB, patch)
2011-08-03 14:45 UTC, Paul Poulain
Details | Diff | Splinter Review
proposed patch follow-up (passed QA) (1.04 KB, patch)
2011-08-03 14:46 UTC, Paul Poulain
Details | Diff | Splinter Review
proposed patch follow-up 2 version bumping (passed QA) (1.55 KB, patch)
2011-08-03 14:47 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2010-11-24 16:04:05 UTC
If the proposed changes for Bug 5422 are accepted, the same change should be
made to the way cities are stored. The JavaScript in the template for members/memberentry.pl for automatically filling the city and zip fields will have to be modified to do the state as well.
Comment 1 Cindy Murdock Ames 2011-06-07 15:50:16 UTC
It looks like the proposed changes for 5422 have been accepted--in 3.4 there is now a State field in the Add/Edit Patron form.  However, the JavaScript in the form still puts the value for the State in the City field.
Comment 2 Owen Leonard 2011-07-22 15:15:00 UTC
Currently if you add a city, you must also add a zip code. There is JavaScript validation which asks you to fill in both. Should state also be required? I would answer yes for US libraries. How about elsewhere?
Comment 3 Magnus Enger 2011-07-22 15:46:41 UTC
"No" for Norwegian libraries. We only use city and zip, not state.
Comment 4 Owen Leonard 2011-07-23 13:57:57 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2011-08-03 14:45:02 UTC
Created attachment 4825 [details] [review]
proposed patch (passed QA)
Comment 6 Paul Poulain 2011-08-03 14:46:49 UTC
Created attachment 4826 [details] [review]
proposed patch follow-up (passed QA)

QA comment

The patch did not include the kohastructure.sql to reflect the updatedatabase. Fixing this mistake

Otherwise, no specific comment: easy to test, cleanly written, do what it was supposed to do, no side effect detected
Comment 7 Paul Poulain 2011-08-03 14:47:27 UTC
Created attachment 4827 [details] [review]
proposed patch follow-up 2 version bumping (passed QA)
Comment 8 Chris Cormack 2011-08-04 08:59:44 UTC
Pushed, please test